import cherrypy


class Server:
  @cherrypy.expose
  def index(self):
    cherrypy.response.headers['Cross-Origin-Opener-Policy'] = "same-origin"
    return """
<html>
  <body>
    <script>
window.location = "http://127.0.0.1:8081/redirect_two";
    </script>
  </body>
</html>"""

  @cherrypy.expose
  def redirect_two(self):
    cherrypy.response.headers['Cross-Origin-Opener-Policy'] = "same-origin"
    return """
<html>
  <body>
    <script>
window.location = "http://localhost:8080/trigger";
    </script>
  </body>
</html>"""

  @cherrypy.expose
  def trigger(self):
    cherrypy.response.headers['Cross-Origin-Opener-Policy'] = "same-origin"
    return """
<html>
  <body>
    <iframe src='http://127.0.0.1:8081/frame' width=100% height=100%></iframe>
  </body>
</html>"""

  @cherrypy.expose
  def frame(self):
    cherrypy.response.headers['Cross-Origin-Opener-Policy'] = "same-origin"
    return """
<html>
  <body>
    <textarea id="asdf" style="width:100%;height:100%;font-size: 100pt">
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
asdfasdfasd
    </textarea>
    <script>
window.onload = function() {
  var asdf = document.getElementById("asdf");
  asdf.setSelectionRange(0, 0);
  asdf.focus();
}
    </script>
  </body>
</html>
"""


if __name__ == '__main__':
  cherrypy.tree.mount(Server())
  cherrypy.server.unsubscribe()

  server_8080 = cherrypy._cpserver.Server()
  server_8080.socket_port = 8080
  server_8080._socket_host = "127.0.0.1"
  server_8080.subscribe()

  server_8081 = cherrypy._cpserver.Server()
  server_8081.socket_port = 8081
  server_8081._socket_host = "127.0.0.1"
  server_8081.subscribe()

  cherrypy.engine.start()
  cherrypy.engine.block()